Package org.gradle.language

## Interface ProductionComponent

- All Superinterfaces:
    `Named`, `SoftwareComponent`
  All Known Subinterfaces:
    `CppApplication`, `CppLibrary`, `ProductionCppComponent`, `ProductionSwiftComponent`, `SwiftApplication`, `SwiftLibrary`

      public interface ProductionComponent
      extends SoftwareComponent

  Represents a component that is the main product of a project.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Provider<? extends SoftwareComponent>` | `getDevelopmentBinary()` | Returns the binary of the component to use as the default for development.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDevelopmentBinary

          Provider<? extends SoftwareComponent> getDevelopmentBinary()

      Returns the binary of the component to use as the default for development.